From 3d838ef6e9233ac6bc5bc94680fafc22505cf7b8 Mon Sep 17 00:00:00 2001
From: Pietro Incardona <incardon@mpi-cbg.de>
Date: Sat, 8 Aug 2015 21:09:29 +0200
Subject: [PATCH] Jenkin script for taurus

---
 build_pdata.sh | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

diff --git a/build_pdata.sh b/build_pdata.sh
index d62f69f0..9c91c187 100644
--- a/build_pdata.sh
+++ b/build_pdata.sh
@@ -117,16 +117,16 @@ then
  make
  if [ $? -ne 0 ]; then exit 1 ; fi
 
- salloc --nodes=1 --ntasks-per-node=24 --time=00:05:00 --mem-per-cpu=1900 --partition=haswell bash -c "ulimit -s unlimited && mpirun -np 24 src/pdata"
-# if [ $? -ne 0 ]; then exit 1 ; fi
-# salloc --nodes=2 --ntasks-per-node=16 --time=00:05:00 --mem-per-cpu=1900 --partition=haswell bash -c "ulimit -s unlimited && mpirun -np 32 src/vcluster"
-# if [ $? -ne 0 ]; then exit 1 ; fi
-# salloc --nodes=4 --ntasks-per-node=16 --time=00:05:00 --mem-per-cpu=1900 --partition=haswell bash -c "ulimit -s unlimited && mpirun -np 64 src/vcluster"
-# if [ $? -ne 0 ]; then exit 1 ; fi
-# salloc --nodes=8 --ntasks-per-node=16 --time=00:05:00 --mem-per-cpu=1900 --partition=haswell bash -c "ulimit -s unlimited && mpirun -np 128 src/vcluster"
-# if [ $? -ne 0 ]; then exit 1 ; fi
-# salloc --nodes=16 --ntasks-per-node=16 --time=00:5:00 --mem-per-cpu=1900 --partition=haswell bash -c "ulimit -s unlimited && mpirun -np 256 src/vcluster"
-# if [ $? -ne 0 ]; then exit 1 ; fi
+ salloc --nodes=1 --ntasks-per-node=16 --time=00:05:00 --mem-per-cpu=1900 --partition=haswell bash -c "ulimit -s unlimited && mpirun -np 16 src/pdata"
+ if [ $? -ne 0 ]; then exit 1 ; fi
+ salloc --nodes=2 --ntasks-per-node=16 --time=00:05:00 --mem-per-cpu=1900 --partition=haswell bash -c "ulimit -s unlimited && mpirun -np 32 src/vcluster"
+ if [ $? -ne 0 ]; then exit 1 ; fi
+ salloc --nodes=4 --ntasks-per-node=16 --time=00:05:00 --mem-per-cpu=1900 --partition=haswell bash -c "ulimit -s unlimited && mpirun -np 64 src/vcluster"
+ if [ $? -ne 0 ]; then exit 1 ; fi
+ salloc --nodes=8 --ntasks-per-node=16 --time=00:05:00 --mem-per-cpu=1900 --partition=haswell bash -c "ulimit -s unlimited && mpirun -np 128 src/vcluster"
+ if [ $? -ne 0 ]; then exit 1 ; fi
+ salloc --nodes=16 --ntasks-per-node=16 --time=00:5:00 --mem-per-cpu=1900 --partition=haswell bash -c "ulimit -s unlimited && mpirun -np 256 src/vcluster"
+ if [ $? -ne 0 ]; then exit 1 ; fi
 
 else
  echo "Compiling general"
-- 
GitLab